# Class UiManager

#### Hierarchy

- default<PlayerConfiguration>
  - UiManager

#### Implements

- UiManager

#####
Index

### Methods

addLanguagePack
getPlayerContainerUiComponent
overrideDefaultComponent

## Methods

### addLanguagePack

- addLanguagePack(language, languagePack): void

- Add localizations for a specific language

  #### Parameters

  - language: LanguageKey
  - languagePack: Record<string, string>

  #### Returns void

  Implementation of UiManager.addLanguagePack

### getPlayerContainerUiComponent

- getPlayerContainerUiComponent(): null | UiComponent

- Get the UI Component of the player

  #### Returns null | UiComponent

  Implementation of UiManager.getPlayerContainerUiComponent

### `Static` overrideDefaultComponent

- overrideDefaultComponent(componentToOverride, componentFactory): void

- #### Parameters

  - componentToOverride: "BigPlayButton" | "PosterImage" | "LoadingSpinner" | "ErrorDisplay" | "TextTrackSettings" | "TextTrackDisplay" | "TitleBar"
  - componentFactory: typeof VideoJsUiComponentAdapter

  #### Returns void